
  <!--<h6>All Calendar</h6>-->

  <dx-data-grid #grid id="grid" keyExpr="evenT_ID" [dataSource]="calendarViewDetailsList"
                [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                [showBorders]="true" [columnAutoWidth]="true"
                (onRowDblClick)="selectionChangedHandler(grid.selectedRowKeys)"
                (onToolbarPreparing)="onToolbarPreparing($event)"
                (onContentReady)="grid.instance.searchByText(grid.searchPanel.text.trim())"
                (onExporting)="onExporting($event)">
    <dxo-sorting mode="multiple"></dxo-sorting>
    <dxo-header-filter [visible]="true"></dxo-header-filter>
    <dxo-selection mode="single"></dxo-selection>
    <dxo-paging [pageSize]="50"></dxo-paging>
    <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[10, 25, 50, 100]"></dxo-pager>
    <dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>
    <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
    <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
    <dxi-column dataField="evenT_ID" caption="Event ID" [allowHeaderFiltering]="false"
                alignment="left" cellTemplate="eventIdTemplate"></dxi-column>
    <dxi-column dataField="eventStatus" caption="Event Status" [allowHeaderFiltering]="false"></dxi-column>
    <dxi-column dataField="startTime" caption="Start Time" dataType="datetime" [allowHeaderFiltering]="true"></dxi-column>
    <dxi-column dataField="endTime" caption="End Time" dataType="datetime" [allowHeaderFiltering]="false"></dxi-column>
    <dxi-column dataField="appointmentType" caption="Appointment Type" [allowHeaderFiltering]="true"></dxi-column>
    <dxi-column dataField="subject" caption="Subject" [allowHeaderFiltering]="false"></dxi-column>
    <dxi-column dataField="location" caption="Location" [allowHeaderFiltering]="false"></dxi-column>
    <dxi-column dataField="assignedUsers" caption="Assigned Users" [allowHeaderFiltering]="true"></dxi-column>
    <dxi-column dataField="groupName" caption="Group Name" [allowHeaderFiltering]="true"></dxi-column>
    <dxi-column dataField="createdBy" caption="Created By" [allowHeaderFiltering]="false"></dxi-column>
    <dxi-column dataField="createdDate" caption="Created Date" dataType="datetime" [allowHeaderFiltering]="false"></dxi-column>
    <dxi-column dataField="modifiedBy" caption="Modified By" [allowHeaderFiltering]="false"></dxi-column>
    <dxi-column dataField="modifiedDate" caption="Modified Date" dataType="datetime" [allowHeaderFiltering]="false"></dxi-column>
    <div *dxTemplate="let data of 'exportTemplate'">
      <button type="button" class="btn btn-sm btn-primary"
              (click)="grid.instance.exportToExcel(false)">
        Export to Excel
      </button>
    </div>
    <div *dxTemplate="let row of 'eventIdTemplate'">
      <a class="hyperlink" (click)="selectionChangedHandler(row.value)">{{ row.value }}</a>
    </div>
  </dx-data-grid>
